.TH radns 8 "May 26, 2011" "" ""
.SH NAME
radns \- Resolving DNS Server Client for IPv6.
.SH SYNOPSIS
\fBradns\fP
[ \fB\-v\fP 
[ \fB\-v\fP ] 
[ \fB\-v\fP ] ] 
[ \fB\-f\fP \fIpath to resolv file\fP ]
[ \fB\-l\fP \fImaximum number of domain suffixes in search list\fP ]
[ \fB\-m\fP \fImaximum number of resolver addresses\fP ]
[ \fB\-u\fP \fIuser\fP ]
[ \fB\-s\fP \fIpath to script\fP ]
[ \fB\-p\fP \fIpath to pidfile\fP ]

.SH DESCRIPTION
.B radns\fP listens for IPv6 Router Advertisements with the Recursive DNS Server
(RDNSS) option and stores the address(es) in a file in the same syntax
as resolv.conf(5). It optionally starts a script when it receives a
Router Advertisement.
.PP
.SH OPTIONS
.TP
\-V
prints version information and quits the program.
.TP
\-v
turns on verbose mode and gives more debug output. Also stops the process from
becoming a daemon. Repeated \-v increases verbosity.
.TP
\-f \fIpath to resolv file\fP
specifies the filename to write the IPv6 addresses to. Default is
"./resolv.conf".
.PP
Note that the radns user needs write access to the directory since it
will create a temporary working file and rename it to whatever you
specify as the resolv file. Typically you use something like
/etc/radns/ra-resolv.conf as the resolv file with /etc/radns being
writable by the radns user.
.PP
If radns is run on an IPv6-only machine, with no dual-stack, you may
want to make /etc/resolv.conf a symbolic link to
/etc/radns/ra-resolv.conf.
.TP
\-l \fImaximum number of domain suffixes in search list\fP specifies
the number of domain suffixes to store after the search keyword in the
resolv.conf file. 0 is a special case meaning an unlimited number. The
default is 6.
.TP
\-m \fImaximum number of resolver addresses\fP
specifies the number of resolver addresses to store in the resolv.conf
file. 0 is a special case meaning an unlimited number. The default is 3.
.TP
\-u \fIusername\fP
specifies the user to drop privileges to. Default is \fIradns\fP.
.TP
\-s \fIpath to script\fP
specifies a program to run after receiving new addresses to DNS
resolvers. Default is not to run a script.
.TP
\-p \fIpath to pidfile\fP
specifies a path to a file to write the process ID into for process
management purposes. Default is "/var/run/radns.pid".

.SH AUTHOR
Michael Cardell Widerkrantz <mc@hack.org>.
.SH SEE ALSO
rtadvd(8), radvd(8)

